version: '3.3'

services:
  apache:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: apache_php8.1
    ports:
      - "9090:80"
    volumes:
      - ./public_html:/var/www/html
      - ./apache-config:/etc/apache2/sites-enabled
    environment:
      APACHE_DOCUMENT_ROOT: /var/www/html
    restart: always

volumes:
  public_html:
  apache-config:

